This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881113 - tg3: BUG: soft lockup - CPU#0 stuck for 23s! [NetworkManager:679]
tg3: BUG: soft lockup - CPU#0 stuck for 23s! [NetworkManager:679]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:df55b67558eeff0db1c73612422...
:
: 881114 881115 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-28 11:54 EST by Brendon Martino
Modified: 2013-06-03 15:42 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 15:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brendon Martino 2012-11-28 11:54:29 EST
Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.6-1.fc17.x86_64 root=/dev/mapper/vg_itloanerlty-lv_root ro rd.lvm.lv=vg_itloanerlty/lv_root rd.dm=0 rd.lvm.lv=vg_itloanerlty/lv_swap SYSFONT=True KEYTABLE=us rd.md=0 rd.luks=0 LANG=en_US.UTF-8 rhgb quiet
kernel:         3.6.6-1.fc17.x86_64

backtrace:
:BUG: soft lockup - CPU#0 stuck for 23s! [NetworkManager:679]
:Modules linked in: binfmt_misc fuse lockd bnep sunrpc bluetooth ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 ip6_tables nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_idt arc4 snd_hda_intel snd_hda_codec iwl3945 snd_hwdep coretemp snd_seq snd_seq_device snd_pcm iwlegacy mac80211 cfg80211 snd_page_alloc snd_timer rfkill snd kvm iTCO_wdt iTCO_vendor_support lpc_ich tg3 microcode soundcore mfd_core dell_laptop dcdbas i2c_i801 dell_wmi sparse_keymap uinput firewire_ohci firewire_core yenta_socket crc_itu_t nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
:CPU 0 
:Pid: 679, comm: NetworkManager Not tainted 3.6.6-1.fc17.x86_64 #1 Dell Inc. Latitude D630                   /0WM416
:RIP: 0010:[<ffffffff8101b096>]  [<ffffffff8101b096>] native_read_tsc+0x6/0x20
:RSP: 0018:ffff8800788d1508  EFLAGS: 00000246
:RAX: 00000000d44f45cc RBX: 0000000000000000 RCX: 0000000000000000
:RDX: 0000000000000063 RSI: ffffc900048c044c RDI: 0000000000005d7f
:RBP: ffff8800788d1508 R08: 0000000000000004 R09: 00000000a002029a
:R10: 0000000000000000 R11: 0000000000000000 R12: ffff88007d009f00
:R13: ffff8800788d14f8 R14: ffff880022922310 R15: ffff880036d2ce00
:FS:  00007f958787b840(0000) GS:ffff88007fc00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 00007f3b0d969019 CR3: 0000000078dbe000 CR4: 00000000000007f0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process NetworkManager (pid: 679, threadinfo ffff8800788d0000, task ffff880078db4530)
:Stack:
: ffff8800788d1538 ffffffff812e4e7a 0000000000000da3 ffff88007b218800
: ffff8800788d15ac 0000000000000000 ffff8800788d1548 ffffffff812e4dc8
: ffff8800788d1578 ffffffffa0201bc3 ffff8800788d15ac ffff88007b218800
:Call Trace:
: [<ffffffff812e4e7a>] delay_tsc+0x4a/0x80
: [<ffffffff812e4dc8>] __const_udelay+0x28/0x30
: [<ffffffffa0201bc3>] tg3_readphy+0x93/0x140 [tg3]
: [<ffffffffa020bb04>] tg3_setup_phy+0x464/0x2240 [tg3]
: [<ffffffff814f30c7>] ? pci_conf1_write+0xc7/0x110
: [<ffffffff814f5c04>] ? raw_pci_write+0x24/0x50
: [<ffffffff812f9938>] ? pci_bus_write_config_dword+0x78/0x90
: [<ffffffffa02105a5>] tg3_power_down_prepare+0x295/0x920 [tg3]
: [<ffffffffa02087f8>] ? tg3_free_consistent+0x248/0x320 [tg3]
: [<ffffffffa0210c46>] tg3_power_down+0x16/0x50 [tg3]
: [<ffffffffa0210edb>] tg3_close+0x25b/0x320 [tg3]
: [<ffffffff8150bf5d>] __dev_close_many+0x7d/0xc0
: [<ffffffff8150bfd8>] __dev_close+0x38/0x50
: [<ffffffff81512351>] __dev_change_flags+0xa1/0x180
: [<ffffffff815124e8>] dev_change_flags+0x28/0x70
: [<ffffffff8151fc7a>] do_setlink+0x37a/0xa10
: [<ffffffff812f8291>] ? nla_parse+0x31/0xe0
: [<ffffffff812f8291>] ? nla_parse+0x31/0xe0
: [<ffffffff81520d5e>] rtnl_newlink+0x37e/0x560
: [<ffffffff812816c9>] ? selinux_capable+0x39/0x50
: [<ffffffff81520574>] rtnetlink_rcv_msg+0x114/0x300
: [<ffffffff81520460>] ? __rtnl_unlock+0x20/0x20
: [<ffffffff815399c1>] netlink_rcv_skb+0xa1/0xb0
: [<ffffffff8151d835>] rtnetlink_rcv+0x25/0x40
: [<ffffffff8153931d>] netlink_unicast+0x19d/0x220
: [<ffffffff81539678>] netlink_sendmsg+0x2d8/0x390
: [<ffffffff814f8b4c>] sock_sendmsg+0xbc/0xf0
: [<ffffffff814f9077>] ? sock_recvmsg+0xd7/0x110
: [<ffffffff814f8f2c>] __sys_sendmsg+0x3ac/0x3c0
: [<ffffffff814fadc9>] sys_sendmsg+0x49/0x90
: [<ffffffff81625929>] system_call_fastpath+0x16/0x1b
:Code: c3 0f 1f 40 00 55 89 f8 48 89 e5 e6 70 e4 71 5d c3 0f 1f 40 00 55 89 f0 48 89 e5 e6 70 89 f8 e6 71 5d c3 66 90 55 48 89 e5 0f 31 <89> c0 48 c1 e2 20 48 09 c2 48 89 d0 5d c3 66 66 66 2e 0f 1f 84
Comment 1 Dave Jones 2012-11-28 12:07:39 EST
*** Bug 881114 has been marked as a duplicate of this bug. ***
Comment 2 Stanislaw Gruszka 2012-12-07 16:16:39 EST
*** Bug 881115 has been marked as a duplicate of this bug. ***
Comment 3 Josh Boyer 2013-06-03 15:10:50 EDT
Are you still seeing this with the 3.9.4 kernel in updates-testing?
Comment 4 Brendon Martino 2013-06-03 15:24:09 EDT
Don't use that repo. 

uname -a

Linux xxxxxxx.xxxxxx.com 3.8.13-100.fc17.x86_64 #1 SMP Mon May 13 13:36:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I have only gotten this issue once, so I don't have anything to compare it to.
Comment 5 sumstultussedesquoque 2013-06-03 15:28:41 EDT
I am also on 3.8.13-100.  I can fairly reliably reproduce this issue, as it happens ~50% of the time I start my computer at work.  No clue what it is about their WiFi or whatever that does it.
Comment 6 Josh Boyer 2013-06-03 15:39:22 EDT
(In reply to sumstultussedesquoque from comment #5)
> I am also on 3.8.13-100.  I can fairly reliably reproduce this issue, as it
> happens ~50% of the time I start my computer at work.  No clue what it is
> about their WiFi or whatever that does it.

tg3 is ethernet, not wifi.  If you are seeing this from some other driver please open a different bug.

(In reply to Brendon Martino from comment #4)
> Don't use that repo. 
> 
> uname -a
> 
> Linux xxxxxxx.xxxxxx.com 3.8.13-100.fc17.x86_64 #1 SMP Mon May 13 13:36:17
> UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
> 
> I have only gotten this issue once, so I don't have anything to compare it
> to.

If you've only seen it once on a 3.6.10 kernel, then either it's been fixed or we aren't going to have a realistic expectation on recreating it with newer kernels.  Closing this out.
Comment 7 sumstultussedesquoque 2013-06-03 15:42:48 EDT
(In reply to Josh Boyer from comment #6)
> (In reply to sumstultussedesquoque from comment #5)
> > I am also on 3.8.13-100.  I can fairly reliably reproduce this issue, as it
> > happens ~50% of the time I start my computer at work.  No clue what it is
> > about their WiFi or whatever that does it.
> 
> tg3 is ethernet, not wifi.  If you are seeing this from some other driver
> please open a different bug.

Ah, my apologies.  I honestly have no idea what is causing the issue, but it only occurs at work and not at home (this is on my laptop, which migrates daily), so the only thing I can imagine is that it is the wifi.  ABRT said my bug was a duplicate of this one when I tried to submit, so I didn't create a new one; I will do so if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.